Bug 889495 - [abrt] shotwell-0.12.3-1.fc17: backing_photo_table_add: Process /usr/bin/shotwell was killed by signal 6 (SIGABRT)
Summary: [abrt] shotwell-0.12.3-1.fc17: backing_photo_table_add: Process /usr/bin/shot...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: shotwell
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:793f92551dca2cebf00bd4c0400...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-21 12:59 UTC by Nils Croese
Modified: 2013-08-01 04:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 04:36:53 UTC
Type: ---


Attachments (Terms of Use)
File: core_backtrace (1.92 KB, text/plain)
2012-12-21 12:59 UTC, Nils Croese
no flags Details
File: environ (1.25 KB, text/plain)
2012-12-21 12:59 UTC, Nils Croese
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-21 12:59 UTC, Nils Croese
no flags Details
File: backtrace (34.02 KB, text/plain)
2012-12-21 12:59 UTC, Nils Croese
no flags Details
File: cgroup (131 bytes, text/plain)
2012-12-21 12:59 UTC, Nils Croese
no flags Details
File: smolt_data (3.57 KB, text/plain)
2012-12-21 12:59 UTC, Nils Croese
no flags Details
File: executable (17 bytes, text/plain)
2012-12-21 13:00 UTC, Nils Croese
no flags Details
File: maps (58.08 KB, text/plain)
2012-12-21 13:00 UTC, Nils Croese
no flags Details
File: dso_list (11.80 KB, text/plain)
2012-12-21 13:00 UTC, Nils Croese
no flags Details
File: proc_pid_status (930 bytes, text/plain)
2012-12-21 13:00 UTC, Nils Croese
no flags Details
File: open_fds (487 bytes, text/plain)
2012-12-21 13:00 UTC, Nils Croese
no flags Details
File: var_log_messages (152 bytes, text/plain)
2012-12-21 13:00 UTC, Nils Croese
no flags Details
File: build_ids (4.64 KB, text/plain)
2012-12-21 13:00 UTC, Nils Croese
no flags Details

Description Nils Croese 2012-12-21 12:59:45 UTC
Description of problem:
I started up the laptop, that's all I did.

Version-Release number of selected component:
shotwell-0.12.3-1.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        shotwell
crash_function: backing_photo_table_add
kernel:         3.6.10-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #4 backing_photo_table_add at /usr/src/debug/shotwell-0.12.3/src/db/PhotoTable.vala:1120
: #5 photo_import_developed_backing_photo at /usr/src/debug/shotwell-0.12.3/src/Photo.vala:593
: #6 photo_add_backing_photo_for_development at /usr/src/debug/shotwell-0.12.3/src/Photo.vala:568
: #7 photo_develop_photo at /usr/src/debug/shotwell-0.12.3/src/Photo.vala:620
: #8 photo_set_raw_developer at /usr/src/debug/shotwell-0.12.3/src/Photo.vala:687
: #9 photo_get_pixbuf_with_options at /usr/src/debug/shotwell-0.12.3/src/Photo.vala:3103
: #10 photo_real_get_pixbuf at /usr/src/debug/shotwell-0.12.3/src/Photo.vala:3012
: #11 pixbuf_cache_baseline_fetch_job_real_execute at /usr/src/debug/shotwell-0.12.3/src/PixbufCache.vala:50
: #12 workers_thread_start at /usr/src/debug/shotwell-0.12.3/src/threads/Workers.vala:94
: #13 _workers_thread_start_gfunc at /usr/src/debug/shotwell-0.12.3/src/threads/Workers.vala:31

Comment 1 Nils Croese 2012-12-21 12:59:48 UTC
Created attachment 667202 [details]
File: core_backtrace

Comment 2 Nils Croese 2012-12-21 12:59:50 UTC
Created attachment 667203 [details]
File: environ

Comment 3 Nils Croese 2012-12-21 12:59:51 UTC
Created attachment 667204 [details]
File: limits

Comment 4 Nils Croese 2012-12-21 12:59:54 UTC
Created attachment 667205 [details]
File: backtrace

Comment 5 Nils Croese 2012-12-21 12:59:56 UTC
Created attachment 667206 [details]
File: cgroup

Comment 6 Nils Croese 2012-12-21 12:59:58 UTC
Created attachment 667207 [details]
File: smolt_data

Comment 7 Nils Croese 2012-12-21 13:00:00 UTC
Created attachment 667208 [details]
File: executable

Comment 8 Nils Croese 2012-12-21 13:00:02 UTC
Created attachment 667209 [details]
File: maps

Comment 9 Nils Croese 2012-12-21 13:00:05 UTC
Created attachment 667210 [details]
File: dso_list

Comment 10 Nils Croese 2012-12-21 13:00:08 UTC
Created attachment 667211 [details]
File: proc_pid_status

Comment 11 Nils Croese 2012-12-21 13:00:11 UTC
Created attachment 667212 [details]
File: open_fds

Comment 12 Nils Croese 2012-12-21 13:00:13 UTC
Created attachment 667213 [details]
File: var_log_messages

Comment 13 Nils Croese 2012-12-21 13:00:15 UTC
Created attachment 667214 [details]
File: build_ids

Comment 14 Fedora End Of Life 2013-07-04 00:40:29 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2013-08-01 04:36:57 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.